/*
*  IRC Services
*
*  Copyright (C) 2003 Services Developers
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of version 1 of the GNU General Public License,
*  as published by the Free Software Foundation.
*
*  This program is distributed in the hope that it will be useful, but
*  WITHOUT ANY WARRANTY; without even the warranty of MERCHANTABILITY
*  or FITNESS FOR A PARTICULAR PURPOSE. The GNU General Public License
*  contains more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
* $Id: me.h,v 1.18 2003/10/23 03:05:00 wcampbel Exp $
*/

#ifndef ME_H
#define ME_H

#include "irc_types.h"
#include "defines.h"
#include "net.h"

struct _me
{
  int argc;
  char **argv;
  u_short servtype, channels, servers, users, opers, admins, dcc;
unsigned int eob:
1, debug:
1, ro:
1, conn:
1, gotping:
1, crashing:
1, opernotice:
1, oper_operwall:
1, use_settime:
1, default_echo:
  1;
  FILE *logfd;
  char md5buf[33];
  char *chans[MAXCHANS];
  char *servdesc;
  char *servname;
  char *os_nick;
  char *os_username;
  char *os_gecos;
  sock_t *hub, lasthub;
  struct in_addr ip;
  char hostbuf[BUFSIZE];
  time_t start;
  time_t settime;
  time_t htmtime;
  fd_set readfds, writefds;
  pid_t pid;
  size_t memusage;
  char *to;
  char *cloneurl;
  char *nickpass;
  char *nickserv;
  int floodrate;
  int nicklen;
  int conntimeout;
  int authtimeout;
  int clone_limit;
  int clone_gline;
  int clone_gline_time;
  int clone_over;
  int fclone_gline_time;
  int maxkill;
};

extern struct _me me;

#endif
