/*
*  IRC Services
*
*  Copyright (C) 2003 Services Developers
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of version 1 of the GNU General Public License,
*  as published by the Free Software Foundation.
*
*  This program is distributed in the hope that it will be useful, but
*  WITHOUT ANY WARRANTY; without even the warranty of MERCHANTABILITY
*  or FITNESS FOR A PARTICULAR PURPOSE. The GNU General Public License
*  contains more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
*  $Id: protected.h,v 1.1 2003/10/31 00:38:21 wcampbel Exp $
*/

#include "irc_types.h"
#include "client.h"

#ifndef PROTECTED_H
#define PROTECTED_H

typedef struct protected
{
  char *nick;
  char *user;
  char *host;
  char *gecos;
}
protected_t;

int	check_protected	(user_t *);
void	add_protected	(char *, char *, char *, char *);
void	del_protected	(char *, char *, char *, char *);
void	flush_protected	(void);

#endif
