/*
*  IRC Services
*
*  Copyright (C) 2003 Services Developers
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of version 1 of the GNU General Public License,
*  as published by the Free Software Foundation.
*
*  This program is distributed in the hope that it will be useful, but
*  WITHOUT ANY WARRANTY; without even the warranty of MERCHANTABILITY
*  or FITNESS FOR A PARTICULAR PURPOSE. The GNU General Public License
*  contains more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
*  $Id: send.h,v 1.14 2003/09/27 16:14:39 wcampbel Exp $
*/

#include "irc_types.h"
#include "client.h"

int	reply	(char *, char *, ...);
void	operwall	(u_short, char *, ...);
int	tell_chans	(char *, ...);
void	irc_kill	(char *, char *);
void	servmode	(char *, char *);
void	global	(char *);
void	hackops	(char *, char *);
time_t	settime	(char *);
void	serv_notice	(char *, char *, ...);
void	is_an_oper_notice	(char *, char *, ...);
void	clone_warn	(char *, u_int);
void	clone_allow_warn	(char *, u_int, u_int);
void	squit	(char *, char *);
void	toserv	(char *, ...);
