/*
*  IRC Services
*
*  Copyright (C) 2003 Services Developers
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of version 1 of the GNU General Public License,
*  as published by the Free Software Foundation.
*
*  This program is distributed in the hope that it will be useful, but
*  WITHOUT ANY WARRANTY; without even the warranty of MERCHANTABILITY
*  or FITNESS FOR A PARTICULAR PURPOSE. The GNU General Public License
*  contains more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
* $Id: config.h,v 1.46 2003/10/23 02:09:37 wcampbel Exp $
*/

#ifndef CONFIG_H
#define CONFIG_H

/* Edit if you wish to change where these files exist */
#define LOGFILE		PREFIX "/logs/services.log"
#define LOGFMT		PREFIX "/logs/services-%m-%d.log"
#define	PIDFILE		PREFIX "/etc/services.pid"
#define CONF            PREFIX "/etc/services.conf"

/* Define if you wish to allow channel's to be forbidden across the network.
** This only works on ircd-ratbox, when you have properly configured cluster{}
** on each server.
*/
#undef  XLINE		/* Channel forbid */

/* Define to enable FreeBSD's malloc() debugging options.  This will allow a
** developer to easily spot where and when free()'ed memory is used or other
** common memory errors.  General users should never define this option, as
** it provides them no benefit and will make the service considerably slower.
*/
#undef MEMDEBUG

#endif
