/*
*  IRC Services
*  Copyright (C) 2003 Services Developers
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of version 1 of the GNU General Public License,
*  as published by the Free Software Foundation.
*
*  This program is distributed in the hope that it will be useful, but
*  WITHOUT ANY WARRANTY; without even the warranty of MERCHANTABILITY
*  or FITNESS FOR A PARTICULAR PURPOSE. The GNU General Public License
*  contains more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
*  $Id: replies.h,v 1.16 2003/09/27 16:14:39 wcampbel Exp $
*/

static char *replies[] = {
#define	ERR_NOACCESS		0
                           "Permission denied.",
#define	ERR_NOSUCHCMD		1
                           "Unknown command, try /msg %s help",
#define	RPL_VERSION		2
                           "\1VERSION %s by %s\1",
#define	RPL_PFORCESNUG		3
                           "\2ALERT!\2 %s!@%s has \2forcefully\2 removed your snuggle for %s!%s@%s$%s",
#define	RPL_CFORCESNUG		4
                           "\2[ALERT!]\2 %s!@%s \2forcefully\2 removed SNUGGLE(%d) for %s!%s@%s$%s (%s)",
#define	RPL_CREMSNUGGLE		5
                           "\2[RSNUGGLE]\2 %s removed SNUGGLE(%d) for %s!%s@%s$%s (%s)",
#define	RPL_CADDSNUGGLE		6
                           "\2[ASNUGGLE]\2 %s added SNUGGLE(%d) for %s!%s@%s$%s (%s)",
#define	ERR_NOHELPCMD		7
                           "Sorry, there is no help for that command.",
#define	ERR_NOSNUGGLES		8
                           "There are no SNUGGLE records in my database!",
#define	RPL_SNUGGLECNT		9
                           "There are currently %d SNUGGLE records in my database.",
#define	RPL_SNUGLISTA		10
                           "%d) %s!%s@%s$%s (%s) [%d matches]",
#define	RPL_SNUGLISTB		11
                           "    %24.24s by %s (type %d)",
#define	RPL_ENDOFSNUGL		12
                           "End of SNUGGLE LIST.",
#define	ERR_NOMATCHSNUG		13
                           "No SNUGGLE records matched your request.",
#define	RPL_CRECNTSNUG		14
                           "There are %d SNUGGLE records that matched your request.",
#define	ERR_SNUGIDA		15
                           "Invalid SNUGGLE ID.",
#define	ERR_SNUGIDB		16
                           "No SNUGGLE records matched the given ID.",
#define	ERR_TOOMANYSNUG		17
                           "There are only %d SNUGGLE records in my database!",
#define	ERR_SYNTAX		18
                           "Syntax error.",
#define	ERR_NOSUCHCHAN	19
                           "Channel %s is empty.",
#define	RPL_HELP_A		20
                           "For more help with a specific command, \2/msg %s HELP <command>\2",
#define	ERR_BADPASSWD	21
                           "Incorrect password.",
#define RPL_CSNUGGLECNT 22
                           "There are currently %d CSNUGGLE records in my database.",
#define RPL_CSNUGGLE_ALL 23
                           "Broken",
#define RPL_CSNUGGLE_MASK 24
                           "Change me",
#define RPL_CSNUGGLE_CRECNT 25
                           "There are %d CSNUGGLE records that matched your request.",
#define ERR_CSNUGID	26
                           "Invalid CSNUGGLE ID!",
#define ERR_NOMATCHCSNUG 27
                           "No matching CSNUGGLE was found!",
#define CSNUGGLE_CRECNT 28
                           "There are %d CSNUGGLE records that matched your request.",
#define RPL_CRECNTCSNUG 29
                           "There are %d CSNUGGLE records that matched your request.",
#define RPL_CSNUGLISTA 30
                           "%d) %s (%s) [%d matches]",
#define RPL_CSNUGLISTB 31
                           "    %24.24s by %s (type %d)",
#define RPL_ENDOFCSNUGL 32
                           "End of CSNUGGLE list.",
#define ERR_NOCSNUGGLES 33
                           "I have no CSNUGGLES in my database!!",
#define RPL_CREMCSNUGGLE 34
                           "\2[RCSNUGGLE]\2 %s removed CSNUGGLE(%d) for %s (%s)",
#ifndef	NULL
#define	NULL 0
#endif
                           NULL
                         };
